Coder Social home page Coder Social logo

portus's Issues

Helm chart for Kubernetes?

Hey great work. Is there any plan for or some existing deployment/Helm chart for this to deploy on Kubernetes?

missing portus user

Hi,

Portus' database needs to be provisioned I presume since it's complaining about the missing 'portus' user.

Also, when it tries to access to underlying registry, it cannot get the image hashes (401 authorization error).

I think the setup_databases() from compose-setup.sh needs to be integrated here also.

setup_database() {
  set +e

  TIMEOUT=90
  COUNT=0
  RETRY=1

  while [ $RETRY -ne 0 ]; do
    if [ "$COUNT" -ge "$TIMEOUT" ]; then
      printf " [FAIL]\n"
      echo "Timeout reached, exiting with error"
      exit 1
    fi
    echo "Waiting for mariadb to be ready in 5 seconds"
    sleep 5
    COUNT=$((COUNT+5))

    printf "Portus: configuring database..."
    docker-compose run --rm web rake db:migrate:reset > /dev/null
    docker-compose run --rm web rake db:seed > /dev/null

    RETRY=$?
    if [ $RETRY -ne 0 ]; then
        printf " failed, will retry\n"
    fi
  done
  printf " [SUCCESS]\n"
  set -e
}

how to access from outside the host

I've been working with this for a while, and while it works nicely on localhost, I've noticed that it is not accessable form outside the server. I believe it may be due to the use of the --net flag which reverts all docker networking to the host. Is there a way to enable port forwarding to something other than localhost that I am missing? Thanks!

Error: registry does not implement v2 of the API.

Error: registry does not implement v2 of the API. You can skip this check by clicking on the "Skip remote checks" checkbox.

If I skip remote checks, then portus doesn't appear to be communicating with the registry fully.

I can log in with the username and password that I create. I can push new images and get them back:

# curl -s 'https://portus-vagrant.mtnsat.io:5000/v2/_catalog'; echo

{"repositories":["admin/busybox"]}

But the image never shows up in the portus UI.

Missing Crono startup

Hi,

I believe that besides dummy docs :) this is a very good starting point for Portus !!

One thing I can not get done automatically, is the crono startup.
I can start it manually after the portus container is up, but it would be nice to have this integrated into the image.

Kind regards, Tom

Recommend Projects

  • React photo React

    A declarative, efficient, and flexible JavaScript library for building user interfaces.

  • Vue.js photo Vue.js

    ๐Ÿ–– Vue.js is a progressive, incrementally-adoptable JavaScript framework for building UI on the web.

  • Typescript photo Typescript

    TypeScript is a superset of JavaScript that compiles to clean JavaScript output.

  • TensorFlow photo TensorFlow

    An Open Source Machine Learning Framework for Everyone

  • Django photo Django

    The Web framework for perfectionists with deadlines.

  • D3 photo D3

    Bring data to life with SVG, Canvas and HTML. ๐Ÿ“Š๐Ÿ“ˆ๐ŸŽ‰

Recommend Topics

  • javascript

    JavaScript (JS) is a lightweight interpreted programming language with first-class functions.

  • web

    Some thing interesting about web. New door for the world.

  • server

    A server is a program made to process requests and deliver data to clients.

  • Machine learning

    Machine learning is a way of modeling and interpreting data that allows a piece of software to respond intelligently.

  • Game

    Some thing interesting about game, make everyone happy.

Recommend Org

  • Facebook photo Facebook

    We are working to build community through open source technology. NB: members must have two-factor auth.

  • Microsoft photo Microsoft

    Open source projects and samples from Microsoft.

  • Google photo Google

    Google โค๏ธ Open Source for everyone.

  • D3 photo D3

    Data-Driven Documents codes.